org.apache.xalan.xsltc.compiler.util

## Class ErrorMsg

- java.lang.Object
- - org.apache.xalan.xsltc.compiler.util.ErrorMsg

-     public final class ErrorMsg
      extends java.lang.Object

  Author:
    Jacek Ambroziak, Santiago Pericas-Geertsen, G. Todd Miller, Erwin Bolwidt , Morten Jorgensen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARGUMENT_CONVERSION_ERR`
    `static java.lang.String` | `ATTR_VAL_TEMPLATE_ERR`
    `static java.lang.String` | `ATTRIBSET_UNDEF_ERR`
    `static java.lang.String` | `CIRCULAR_INCLUDE_ERR`
    `static java.lang.String` | `CIRCULAR_VARIABLE_ERR`
    `static java.lang.String` | `CLASS_NOT_FOUND_ERR`
    `static java.lang.String` | `CMDLINE_OPT_MISSING_ARG_ERR`
    `static java.lang.String` | `COMPILE_STDIN_ERR`
    `static java.lang.String` | `COMPILE_USAGE_STR`
    `static java.lang.String` | `COMPILER_ERROR_KEY`
    `static java.lang.String` | `COMPILER_WARNING_KEY`
    `static java.lang.String` | `CONSTRUCTOR_NOT_FOUND`
    `static java.lang.String` | `COULD_NOT_CREATE_TRANS_FACT`
    `static java.lang.String` | `DATA_CONVERSION_ERR`
    `static java.lang.String` | `DOCUMENT_ARG_ERR`
    `static java.lang.String` | `ELEMENT_PARSE_ERR`
    `static java.lang.String` | `ER_RESULT_NULL`
    `static java.lang.String` | `ERROR_LISTENER_NULL_ERR`
    `static java.lang.String` | `ERROR_MESSAGES_KEY`
    `static java.lang.String` | `ERROR_MSG`
    `static java.lang.String` | `ERROR_PLUS_WRAPPED_MSG`
    `static java.lang.String` | `FATAL_ERR_MSG`
    `static java.lang.String` | `FATAL_ERR_PLUS_WRAPPED_MSG`
    `static java.lang.String` | `FILE_ACCESS_ERR`
    `static java.lang.String` | `FILE_NOT_FOUND_ERR`
    `static java.lang.String` | `FUNCTION_RESOLVE_ERR`
    `static java.lang.String` | `ILLEGAL_ARG_ERR`
    `static java.lang.String` | `ILLEGAL_ATTR_NAME_ERR`
    `static java.lang.String` | `ILLEGAL_ATTRIBUTE_ERR`
    `static java.lang.String` | `ILLEGAL_BINARY_OP_ERR`
    `static java.lang.String` | `ILLEGAL_CHAR_ERR`
    `static java.lang.String` | `ILLEGAL_CHILD_ERR`
    `static java.lang.String` | `ILLEGAL_CMDLINE_OPTION_ERR`
    `static java.lang.String` | `ILLEGAL_ELEM_NAME_ERR`
    `static java.lang.String` | `ILLEGAL_PI_ERR`
    `static java.lang.String` | `ILLEGAL_RELAT_OP_ERR`
    `static java.lang.String` | `ILLEGAL_TEXT_NODE_ERR`
    `static java.lang.String` | `INTERNAL_ERR`
    `static java.lang.String` | `INVALID_METHOD_IN_OUTPUT`
    `static java.lang.String` | `INVALID_NCNAME_ERR`
    `static java.lang.String` | `INVALID_QNAME_ERR`
    `static java.lang.String` | `INVALID_URI_ERR`
    `static java.lang.String` | `JAXP_COMPILE_ERR`
    `static java.lang.String` | `JAXP_GET_FEATURE_NULL_NAME`
    `static java.lang.String` | `JAXP_INVALID_ATTR_ERR`
    `static java.lang.String` | `JAXP_INVALID_SET_PARAM_VALUE`
    `static java.lang.String` | `JAXP_NO_HANDLER_ERR`
    `static java.lang.String` | `JAXP_NO_RESULT_ERR`
    `static java.lang.String` | `JAXP_NO_SOURCE_ERR`
    `static java.lang.String` | `JAXP_NO_TRANSLET_ERR`
    `static java.lang.String` | `JAXP_SET_FEATURE_NULL_NAME`
    `static java.lang.String` | `JAXP_SET_RESULT_ERR`
    `static java.lang.String` | `JAXP_UNKNOWN_PROP_ERR`
    `static java.lang.String` | `JAXP_UNKNOWN_SOURCE_ERR`
    `static java.lang.String` | `JAXP_UNSUPPORTED_FEATURE`
    `static java.lang.String` | `KEY_USE_ATTR_ERR`
    `static java.lang.String` | `METHOD_NOT_FOUND_ERR`
    `static java.lang.String` | `MISSING_ROOT_ERR`
    `static java.lang.String` | `MISSING_WHEN_ERR`
    `static java.lang.String` | `MISSING_XSLT_TARGET_ERR`
    `static java.lang.String` | `MISSING_XSLT_URI_ERR`
    `static java.lang.String` | `MULTIPLE_OTHERWISE_ERR`
    `static java.lang.String` | `MULTIPLE_STYLESHEET_ERR`
    `static java.lang.String` | `NAMESPACE_UNDEF_ERR`
    `static java.lang.String` | `NEED_LITERAL_ERR`
    `static java.lang.String` | `NO_JAVA_FUNCT_THIS_REF`
    `static java.lang.String` | `NO_MAIN_TRANSLET_ERR`
    `static java.lang.String` | `NO_TRANSLET_CLASS_ERR`
    `static java.lang.String` | `NOT_IMPLEMENTED_ERR`
    `static java.lang.String` | `NOT_STYLESHEET_ERR`
    `static java.lang.String` | `OUTLINE_ERR_DELETED_TARGET`
    `static java.lang.String` | `OUTLINE_ERR_METHOD_TOO_BIG`
    `static java.lang.String` | `OUTLINE_ERR_TRY_CATCH`
    `static java.lang.String` | `OUTLINE_ERR_UNBALANCED_MARKERS`
    `static java.lang.String` | `OUTPUT_VERSION_ERR`
    `static java.lang.String` | `REQUIRED_ATTR_ERR`
    `static java.lang.String` | `RESULT_TREE_SORT_ERR`
    `static java.lang.String` | `RUNTIME_ERROR_KEY`
    `static java.lang.String` | `SAX_PARSER_CONFIG_ERR`
    `static java.lang.String` | `SAX2DOM_ADAPTER_ERR`
    `static java.lang.String` | `STRAY_ATTRIBUTE_ERR`
    `static java.lang.String` | `STRAY_OTHERWISE_ERR`
    `static java.lang.String` | `STRAY_SORT_ERR`
    `static java.lang.String` | `STRAY_WHEN_ERR`
    `static java.lang.String` | `SYMBOLS_REDEF_ERR`
    `static java.lang.String` | `SYNTAX_ERR`
    `static java.lang.String` | `TEMPLATE_REDEF_ERR`
    `static java.lang.String` | `TEMPLATE_UNDEF_ERR`
    `static java.lang.String` | `TRANSFORM_USAGE_STR`
    `static java.lang.String` | `TRANSFORM_WITH_JAR_STR`
    `static java.lang.String` | `TRANSFORM_WITH_TRANSLET_STR`
    `static java.lang.String` | `TRANSLET_CLASS_ERR`
    `static java.lang.String` | `TRANSLET_NAME_JAVA_CONFLICT`
    `static java.lang.String` | `TRANSLET_OBJECT_ERR`
    `static java.lang.String` | `TYPE_CHECK_ERR`
    `static java.lang.String` | `TYPE_CHECK_UNK_LOC_ERR`
    `static java.lang.String` | `UNKNOWN_SIG_TYPE_ERR`
    `static java.lang.String` | `UNNAMED_ATTRIBSET_ERR`
    `static java.lang.String` | `UNSUPPORTED_ENCODING`
    `static java.lang.String` | `UNSUPPORTED_EXT_ERR`
    `static java.lang.String` | `UNSUPPORTED_XSL_ERR`
    `static java.lang.String` | `VARIABLE_REDEF_ERR`
    `static java.lang.String` | `VARIABLE_UNDEF_ERR`
    `static java.lang.String` | `WARNING_MSG`
    `static java.lang.String` | `WARNING_PLUS_WRAPPED_MSG`
    `static java.lang.String` | `WHEN_ELEMENT_ERR`
    `static java.lang.String` | `XPATH_PARSER_ERR`
    `static java.lang.String` | `XSL_VERSION_ERR`
    `static java.lang.String` | `XSLTC_SOURCE_ERR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorMsg(java.lang.String code)`
    `ErrorMsg(java.lang.String message, int line)`
    `ErrorMsg(java.lang.String code, int line, java.lang.Object param)`
    `ErrorMsg(java.lang.String code, java.lang.Object param)`
    `ErrorMsg(java.lang.String code, java.lang.Object param1, java.lang.Object param2)`
    `ErrorMsg(java.lang.String code, java.lang.Object param1, java.lang.Object param2, SyntaxTreeNode node)`
    `ErrorMsg(java.lang.String code, java.lang.Object param1, SyntaxTreeNode node)`
    `ErrorMsg(java.lang.String code, SyntaxTreeNode node)`
    `ErrorMsg(java.lang.Throwable e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isWarningError()`
    `void` | `setWarningError(boolean flag)`
    `java.lang.String` | `toString()` This version of toString() uses the _params instance variable to format the message.
    `java.lang.String` | `toString(java.lang.Object obj)`
    `java.lang.String` | `toString(java.lang.Object obj0, java.lang.Object obj1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MULTIPLE_STYLESHEET_ERR

          public static final java.lang.String MULTIPLE_STYLESHEET_ERR

      See Also:
        Constant Field Values

    - #### TEMPLATE_REDEF_ERR

          public static final java.lang.String TEMPLATE_REDEF_ERR

      See Also:
        Constant Field Values

    - #### TEMPLATE_UNDEF_ERR

          public static final java.lang.String TEMPLATE_UNDEF_ERR

      See Also:
        Constant Field Values

    - #### VARIABLE_REDEF_ERR

          public static final java.lang.String VARIABLE_REDEF_ERR

      See Also:
        Constant Field Values

    - #### VARIABLE_UNDEF_ERR

          public static final java.lang.String VARIABLE_UNDEF_ERR

      See Also:
        Constant Field Values

    - #### CLASS_NOT_FOUND_ERR

          public static final java.lang.String CLASS_NOT_FOUND_ERR

      See Also:
        Constant Field Values

    - #### METHOD_NOT_FOUND_ERR

          public static final java.lang.String METHOD_NOT_FOUND_ERR

      See Also:
        Constant Field Values

    - #### ARGUMENT_CONVERSION_ERR

          public static final java.lang.String ARGUMENT_CONVERSION_ERR

      See Also:
        Constant Field Values

    - #### FILE_NOT_FOUND_ERR

          public static final java.lang.String FILE_NOT_FOUND_ERR

      See Also:
        Constant Field Values

    - #### INVALID_URI_ERR

          public static final java.lang.String INVALID_URI_ERR

      See Also:
        Constant Field Values

    - #### FILE_ACCESS_ERR

          public static final java.lang.String FILE_ACCESS_ERR

      See Also:
        Constant Field Values

    - #### MISSING_ROOT_ERR

          public static final java.lang.String MISSING_ROOT_ERR

      See Also:
        Constant Field Values

    - #### NAMESPACE_UNDEF_ERR

          public static final java.lang.String NAMESPACE_UNDEF_ERR

      See Also:
        Constant Field Values

    - #### FUNCTION_RESOLVE_ERR

          public static final java.lang.String FUNCTION_RESOLVE_ERR

      See Also:
        Constant Field Values

    - #### NEED_LITERAL_ERR

          public static final java.lang.String NEED_LITERAL_ERR

      See Also:
        Constant Field Values

    - #### XPATH_PARSER_ERR

          public static final java.lang.String XPATH_PARSER_ERR

      See Also:
        Constant Field Values

    - #### REQUIRED_ATTR_ERR

          public static final java.lang.String REQUIRED_ATTR_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_CHAR_ERR

          public static final java.lang.String ILLEGAL_CHAR_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_PI_ERR

          public static final java.lang.String ILLEGAL_PI_ERR

      See Also:
        Constant Field Values

    - #### STRAY_ATTRIBUTE_ERR

          public static final java.lang.String STRAY_ATTRIBUTE_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_ATTRIBUTE_ERR

          public static final java.lang.String ILLEGAL_ATTRIBUTE_ERR

      See Also:
        Constant Field Values

    - #### CIRCULAR_INCLUDE_ERR

          public static final java.lang.String CIRCULAR_INCLUDE_ERR

      See Also:
        Constant Field Values

    - #### RESULT_TREE_SORT_ERR

          public static final java.lang.String RESULT_TREE_SORT_ERR

      See Also:
        Constant Field Values

    - #### SYMBOLS_REDEF_ERR

          public static final java.lang.String SYMBOLS_REDEF_ERR

      See Also:
        Constant Field Values

    - #### XSL_VERSION_ERR

          public static final java.lang.String XSL_VERSION_ERR

      See Also:
        Constant Field Values

    - #### CIRCULAR_VARIABLE_ERR

          public static final java.lang.String CIRCULAR_VARIABLE_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_BINARY_OP_ERR

          public static final java.lang.String ILLEGAL_BINARY_OP_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_ARG_ERR

          public static final java.lang.String ILLEGAL_ARG_ERR

      See Also:
        Constant Field Values

    - #### DOCUMENT_ARG_ERR

          public static final java.lang.String DOCUMENT_ARG_ERR

      See Also:
        Constant Field Values

    - #### MISSING_WHEN_ERR

          public static final java.lang.String MISSING_WHEN_ERR

      See Also:
        Constant Field Values

    - #### MULTIPLE_OTHERWISE_ERR

          public static final java.lang.String MULTIPLE_OTHERWISE_ERR

      See Also:
        Constant Field Values

    - #### STRAY_OTHERWISE_ERR

          public static final java.lang.String STRAY_OTHERWISE_ERR

      See Also:
        Constant Field Values

    - #### STRAY_WHEN_ERR

          public static final java.lang.String STRAY_WHEN_ERR

      See Also:
        Constant Field Values

    - #### WHEN_ELEMENT_ERR

          public static final java.lang.String WHEN_ELEMENT_ERR

      See Also:
        Constant Field Values

    - #### UNNAMED_ATTRIBSET_ERR

          public static final java.lang.String UNNAMED_ATTRIBSET_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_CHILD_ERR

          public static final java.lang.String ILLEGAL_CHILD_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_ELEM_NAME_ERR

          public static final java.lang.String ILLEGAL_ELEM_NAME_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_ATTR_NAME_ERR

          public static final java.lang.String ILLEGAL_ATTR_NAME_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_TEXT_NODE_ERR

          public static final java.lang.String ILLEGAL_TEXT_NODE_ERR

      See Also:
        Constant Field Values

    - #### SAX_PARSER_CONFIG_ERR

          public static final java.lang.String SAX_PARSER_CONFIG_ERR

      See Also:
        Constant Field Values

    - #### INTERNAL_ERR

          public static final java.lang.String INTERNAL_ERR

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_XSL_ERR

          public static final java.lang.String UNSUPPORTED_XSL_ERR

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_EXT_ERR

          public static final java.lang.String UNSUPPORTED_EXT_ERR

      See Also:
        Constant Field Values

    - #### MISSING_XSLT_URI_ERR

          public static final java.lang.String MISSING_XSLT_URI_ERR

      See Also:
        Constant Field Values

    - #### MISSING_XSLT_TARGET_ERR

          public static final java.lang.String MISSING_XSLT_TARGET_ERR

      See Also:
        Constant Field Values

    - #### NOT_IMPLEMENTED_ERR

          public static final java.lang.String NOT_IMPLEMENTED_ERR

      See Also:
        Constant Field Values

    - #### NOT_STYLESHEET_ERR

          public static final java.lang.String NOT_STYLESHEET_ERR

      See Also:
        Constant Field Values

    - #### ELEMENT_PARSE_ERR

          public static final java.lang.String ELEMENT_PARSE_ERR

      See Also:
        Constant Field Values

    - #### KEY_USE_ATTR_ERR

          public static final java.lang.String KEY_USE_ATTR_ERR

      See Also:
        Constant Field Values

    - #### OUTPUT_VERSION_ERR

          public static final java.lang.String OUTPUT_VERSION_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_RELAT_OP_ERR

          public static final java.lang.String ILLEGAL_RELAT_OP_ERR

      See Also:
        Constant Field Values

    - #### ATTRIBSET_UNDEF_ERR

          public static final java.lang.String ATTRIBSET_UNDEF_ERR

      See Also:
        Constant Field Values

    - #### ATTR_VAL_TEMPLATE_ERR

          public static final java.lang.String ATTR_VAL_TEMPLATE_ERR

      See Also:
        Constant Field Values

    - #### UNKNOWN_SIG_TYPE_ERR

          public static final java.lang.String UNKNOWN_SIG_TYPE_ERR

      See Also:
        Constant Field Values

    - #### DATA_CONVERSION_ERR

          public static final java.lang.String DATA_CONVERSION_ERR

      See Also:
        Constant Field Values

    - #### NO_TRANSLET_CLASS_ERR

          public static final java.lang.String NO_TRANSLET_CLASS_ERR

      See Also:
        Constant Field Values

    - #### NO_MAIN_TRANSLET_ERR

          public static final java.lang.String NO_MAIN_TRANSLET_ERR

      See Also:
        Constant Field Values

    - #### TRANSLET_CLASS_ERR

          public static final java.lang.String TRANSLET_CLASS_ERR

      See Also:
        Constant Field Values

    - #### TRANSLET_OBJECT_ERR

          public static final java.lang.String TRANSLET_OBJECT_ERR

      See Also:
        Constant Field Values

    - #### ERROR_LISTENER_NULL_ERR

          public static final java.lang.String ERROR_LISTENER_NULL_ERR

      See Also:
        Constant Field Values

    - #### JAXP_UNKNOWN_SOURCE_ERR

          public static final java.lang.String JAXP_UNKNOWN_SOURCE_ERR

      See Also:
        Constant Field Values

    - #### JAXP_NO_SOURCE_ERR

          public static final java.lang.String JAXP_NO_SOURCE_ERR

      See Also:
        Constant Field Values

    - #### JAXP_COMPILE_ERR

          public static final java.lang.String JAXP_COMPILE_ERR

      See Also:
        Constant Field Values

    - #### JAXP_INVALID_ATTR_ERR

          public static final java.lang.String JAXP_INVALID_ATTR_ERR

      See Also:
        Constant Field Values

    - #### JAXP_SET_RESULT_ERR

          public static final java.lang.String JAXP_SET_RESULT_ERR

      See Also:
        Constant Field Values

    - #### JAXP_NO_TRANSLET_ERR

          public static final java.lang.String JAXP_NO_TRANSLET_ERR

      See Also:
        Constant Field Values

    - #### JAXP_NO_HANDLER_ERR

          public static final java.lang.String JAXP_NO_HANDLER_ERR

      See Also:
        Constant Field Values

    - #### JAXP_NO_RESULT_ERR

          public static final java.lang.String JAXP_NO_RESULT_ERR

      See Also:
        Constant Field Values

    - #### JAXP_UNKNOWN_PROP_ERR

          public static final java.lang.String JAXP_UNKNOWN_PROP_ERR

      See Also:
        Constant Field Values

    - #### SAX2DOM_ADAPTER_ERR

          public static final java.lang.String SAX2DOM_ADAPTER_ERR

      See Also:
        Constant Field Values

    - #### XSLTC_SOURCE_ERR

          public static final java.lang.String XSLTC_SOURCE_ERR

      See Also:
        Constant Field Values

    - #### ER_RESULT_NULL

          public static final java.lang.String ER_RESULT_NULL

      See Also:
        Constant Field Values

    - #### JAXP_INVALID_SET_PARAM_VALUE

          public static final java.lang.String JAXP_INVALID_SET_PARAM_VALUE

      See Also:
        Constant Field Values

    - #### JAXP_SET_FEATURE_NULL_NAME

          public static final java.lang.String JAXP_SET_FEATURE_NULL_NAME

      See Also:
        Constant Field Values

    - #### JAXP_GET_FEATURE_NULL_NAME

          public static final java.lang.String JAXP_GET_FEATURE_NULL_NAME

      See Also:
        Constant Field Values

    - #### JAXP_UNSUPPORTED_FEATURE

          public static final java.lang.String JAXP_UNSUPPORTED_FEATURE

      See Also:
        Constant Field Values

    - #### COMPILE_STDIN_ERR

          public static final java.lang.String COMPILE_STDIN_ERR

      See Also:
        Constant Field Values

    - #### COMPILE_USAGE_STR

          public static final java.lang.String COMPILE_USAGE_STR

      See Also:
        Constant Field Values

    - #### TRANSFORM_USAGE_STR

          public static final java.lang.String TRANSFORM_USAGE_STR

      See Also:
        Constant Field Values

    - #### STRAY_SORT_ERR

          public static final java.lang.String STRAY_SORT_ERR

      See Also:
        Constant Field Values

    - #### UNSUPPORTED_ENCODING

          public static final java.lang.String UNSUPPORTED_ENCODING

      See Also:
        Constant Field Values

    - #### SYNTAX_ERR

          public static final java.lang.String SYNTAX_ERR

      See Also:
        Constant Field Values

    - #### CONSTRUCTOR_NOT_FOUND

          public static final java.lang.String CONSTRUCTOR_NOT_FOUND

      See Also:
        Constant Field Values

    - #### NO_JAVA_FUNCT_THIS_REF

          public static final java.lang.String NO_JAVA_FUNCT_THIS_REF

      See Also:
        Constant Field Values

    - #### TYPE_CHECK_ERR

          public static final java.lang.String TYPE_CHECK_ERR

      See Also:
        Constant Field Values

    - #### TYPE_CHECK_UNK_LOC_ERR

          public static final java.lang.String TYPE_CHECK_UNK_LOC_ERR

      See Also:
        Constant Field Values

    - #### ILLEGAL_CMDLINE_OPTION_ERR

          public static final java.lang.String ILLEGAL_CMDLINE_OPTION_ERR

      See Also:
        Constant Field Values

    - #### CMDLINE_OPT_MISSING_ARG_ERR

          public static final java.lang.String CMDLINE_OPT_MISSING_ARG_ERR

      See Also:
        Constant Field Values

    - #### WARNING_PLUS_WRAPPED_MSG

          public static final java.lang.String WARNING_PLUS_WRAPPED_MSG

      See Also:
        Constant Field Values

    - #### WARNING_MSG

          public static final java.lang.String WARNING_MSG

      See Also:
        Constant Field Values

    - #### FATAL_ERR_PLUS_WRAPPED_MSG

          public static final java.lang.String FATAL_ERR_PLUS_WRAPPED_MSG

      See Also:
        Constant Field Values

    - #### FATAL_ERR_MSG

          public static final java.lang.String FATAL_ERR_MSG

      See Also:
        Constant Field Values

    - #### ERROR_PLUS_WRAPPED_MSG

          public static final java.lang.String ERROR_PLUS_WRAPPED_MSG

      See Also:
        Constant Field Values

    - #### ERROR_MSG

          public static final java.lang.String ERROR_MSG

      See Also:
        Constant Field Values

    - #### TRANSFORM_WITH_TRANSLET_STR

          public static final java.lang.String TRANSFORM_WITH_TRANSLET_STR

      See Also:
        Constant Field Values

    - #### TRANSFORM_WITH_JAR_STR

          public static final java.lang.String TRANSFORM_WITH_JAR_STR

      See Also:
        Constant Field Values

    - #### COULD_NOT_CREATE_TRANS_FACT

          public static final java.lang.String COULD_NOT_CREATE_TRANS_FACT

      See Also:
        Constant Field Values

    - #### TRANSLET_NAME_JAVA_CONFLICT

          public static final java.lang.String TRANSLET_NAME_JAVA_CONFLICT

      See Also:
        Constant Field Values

    - #### INVALID_QNAME_ERR

          public static final java.lang.String INVALID_QNAME_ERR

      See Also:
        Constant Field Values

    - #### INVALID_NCNAME_ERR

          public static final java.lang.String INVALID_NCNAME_ERR

      See Also:
        Constant Field Values

    - #### INVALID_METHOD_IN_OUTPUT

          public static final java.lang.String INVALID_METHOD_IN_OUTPUT

      See Also:
        Constant Field Values

    - #### OUTLINE_ERR_TRY_CATCH

          public static final java.lang.String OUTLINE_ERR_TRY_CATCH

      See Also:
        Constant Field Values

    - #### OUTLINE_ERR_UNBALANCED_MARKERS

          public static final java.lang.String OUTLINE_ERR_UNBALANCED_MARKERS

      See Also:
        Constant Field Values

    - #### OUTLINE_ERR_DELETED_TARGET

          public static final java.lang.String OUTLINE_ERR_DELETED_TARGET

      See Also:
        Constant Field Values

    - #### OUTLINE_ERR_METHOD_TOO_BIG

          public static final java.lang.String OUTLINE_ERR_METHOD_TOO_BIG

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGES_KEY

          public static final java.lang.String ERROR_MESSAGES_KEY

      See Also:
        Constant Field Values

    - #### COMPILER_ERROR_KEY

          public static final java.lang.String COMPILER_ERROR_KEY

      See Also:
        Constant Field Values

    - #### COMPILER_WARNING_KEY

          public static final java.lang.String COMPILER_WARNING_KEY

      See Also:
        Constant Field Values

    - #### RUNTIME_ERROR_KEY

          public static final java.lang.String RUNTIME_ERROR_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code)

    - #### ErrorMsg

          public ErrorMsg(java.lang.Throwable e)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String message,
                          int line)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code,
                          int line,
                          java.lang.Object param)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code,
                          java.lang.Object param)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code,
                          java.lang.Object param1,
                          java.lang.Object param2)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code,
                          SyntaxTreeNode node)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code,
                          java.lang.Object param1,
                          SyntaxTreeNode node)

    - #### ErrorMsg

          public ErrorMsg(java.lang.String code,
                          java.lang.Object param1,
                          java.lang.Object param2,
                          SyntaxTreeNode node)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      This version of toString() uses the _params instance variable to format the message. If the `_code` is negative the use _message as the error string.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(java.lang.Object obj)

    - #### toString

          public java.lang.String toString(java.lang.Object obj0,
                                           java.lang.Object obj1)

    - #### setWarningError

          public void setWarningError(boolean flag)

    - #### isWarningError

          public boolean isWarningError()

Copyright © 2023 Apache XML Project. All Rights Reserved.